Get a helm repository
curl --request GET \
--url https://api.qovery.com/organization/{organizationId}/helmRepository/{helmRepositoryId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.qovery.com/organization/{organizationId}/helmRepository/{helmRepositoryId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.qovery.com/organization/{organizationId}/helmRepository/{helmRepositoryId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"kind": "HTTPS",
"description": "<string>",
"url": "<string>",
"skip_tls_verification": true,
"associated_services_count": 123,
"config": {
"username": "<string>",
"region": "<string>",
"access_key_id": "<string>",
"role_arn": "<string>",
"scaleway_access_key": "<string>",
"scaleway_project_id": "<string>",
"azure_tenant_id": "<string>",
"azure_subscription_id": "<string>"
}
}Helm Repositories
Get a helm repository
GET
/
organization
/
{organizationId}
/
helmRepository
/
{helmRepositoryId}
Get a helm repository
Authorizations
bearerAuthApiKeyAuth
JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '
Path Parameters
Organization ID
Helm chart repository ID
Response
The helm repository
The type of your helm repository
Available options:
HTTPS, OCI_ECR, OCI_SCALEWAY_CR, OCI_DOCKER_HUB, OCI_PUBLIC_ECR, OCI_GENERIC_CR, OCI_GITHUB_CR, OCI_GITLAB_CR URL of the helm repository
Bypass tls certificate verification when connecting to repository
The number of services using this helm repository
Show child attributes
Show child attributes
Was this page helpful?